Name:		opendap
Version:	3.4.4
Release:	8%{?dist}
Summary:	Open-source Project for a Network Data Access Protocol
Group:		Applications/Engineering
License:	LGPL
URL:		http://www.opendap.org/
Source0:	ftp://ftp.unidata.ucar.edu/pub/dods/DODS-3.4/3.4.4/source/DODS-dap-3.4.8.tar.gz
Source1:	ftp://ftp.unidata.ucar.edu/pub/dods/DODS-3.4/3.4.4/source/DODS-nc3-dods-3.4.7.tar.gz
Source2:	ftp://ftp.unidata.ucar.edu/pub/dods/DODS-3.4/3.4.4/source/DODS-jg-dods-3.4.3.tar.gz
Source3:	ftp://ftp.unidata.ucar.edu/pub/dods/DODS-3.4/3.4.4/source/DODS-ff-dods-3.4.3.tar.gz
# This thing is really broken.
#Source4:	ftp://ftp.unidata.ucar.edu/pub/dods/DODS-3.4/3.4.4/source/DODS-ncview-3.4.3.tar.gz
Source5:	ftp://ftp.unidata.ucar.edu/pub/dods/DODS-3.4/3.4.4/source/DODS-asciival-3.4.3.tar.gz
Source6:	ftp://ftp.unidata.ucar.edu/pub/dods/DODS-3.4/3.4.4/source/DODS-www-interface-3.4.3.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		opendap-3.4.4-gcc4.patch
Patch1:		opendap-3.4.4-dap-gcc4.patch
Patch2:		opendap-3.4.4-nc3-dods-f95.patch
Patch3:		opendap-3.4.4-systemlibs.patch
Patch4:		opendap-3.4.4-includedir.patch
Patch5:		opendap-3.4.4-shared.patch
Patch6:		opendap-3.4.4-rpmoptflags.patch

BuildRequires:	openssl-devel, pkgconfig
BuildRequires:	curl-devel, krb5-libs, netcdf-devel
BuildRequires:	libxml2-devel

%package devel
Summary:	Development files for opendap
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%package server
Summary:	Server components for opendap
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	perl-HTML-Parser

%description
OPeNDAP provides software which makes local data accessible to remote 
locations regardless of local storage format. OPeNDAP also provides tools 
for transforming existing applications into OPeNDAP clients (i.e., enabling 
them to remotely access OPeNDAP served data). OPeNDAP software is freely 
available.

%description devel
This package contains the OPeNDAP header files and libraries.

%description server
This package contains the OPeNDAP server components.

%prep
%setup -c -n %{name}-%{version} -q -a 1 -a 2 -a 3 -a 5 -a 6
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
cd DODS/
export NETCDF_INC=%{_includedir}/netcdf-3 NETCDF_LIB=%{_libdir}/netcdf-3
export CPPFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC" CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure
make
unset NETCDF_INC NETCDF_LIB

%install
rm -rf ${RPM_BUILD_ROOT}
cd DODS/
rm -rf include/netcdf.h include/netcdf.inc include/builtin.h share/

mkdir -p $RPM_BUILD_ROOT/%{perl_vendorlib}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/opendap
mkdir -p $RPM_BUILD_ROOT/%{_libdir}

install -m644 etc/*.pm $RPM_BUILD_ROOT/%{perl_vendorlib}/
install -m644 etc/jgofs_objects_readme $RPM_BUILD_ROOT/%{_datadir}/%{name} 
install -m755 bin/* $RPM_BUILD_ROOT/%{_bindir}
for i in ff_das ff_dds ff_dods jg_das jg_dds jg_dods nc_das nc_dds nc_dods usage-jg \
	 usage def www_int nph-dods installServers deflate asciival; do
  install -m755 etc/$i $RPM_BUILD_ROOT/%{_bindir}
done
install -m755 lib/*.a $RPM_BUILD_ROOT/%{_libdir}
install -m755 lib/libdap++.so* $RPM_BUILD_ROOT/%{_libdir}
install -m755 lib/libnc-dods.so* $RPM_BUILD_ROOT/%{_libdir}
install -m644 include/* $RPM_BUILD_ROOT/%{_includedir}/opendap

cd $RPM_BUILD_ROOT/%{_libdir}
chmod +x libdap++.so.0.0.0 libnc-dods.so.0.0.0
ln -s libdap++.so.0.0.0 libdap++.so.0
ln -s libdap++.so.0.0.0 libdap++.so
ln -s libnc-dods.so.0.0.0 libnc-dods.so.0
ln -s libnc-dods.so.0.0.0 libnc-dods.so

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc DODS/etc/INSTALL-clients DODS/README DODS/etc/INSTALL-matlab-client DODS/etc/COPYING
%{_bindir}/geturl
%{_bindir}/dncdump
%{_bindir}/checkvar
%{_libdir}/libdap++.so.*
%{_libdir}/libnc-dods.so.*

%files devel
%defattr(-,root,root,-)
%doc DODS/ChangeLog DODS/INSTALL DODS/NEWS DODS/VERSION DODS/etc/COPYRIGHT_URI 
%{_bindir}/opendap-config
%{_libdir}/libdap++.a
%{_libdir}/libdap++.so
%{_libdir}/libnc-dods.a
%{_libdir}/libnc-dods.so
%{_includedir}/opendap

%files server
%defattr(-,root,root,-)
%doc DODS/etc/INSTALL-servers DODS/etc/README-security DODS/etc/EXAMPLE_DODS_STATISTICS
%{_bindir}/installServers
%{_bindir}/nph-dods
%{_bindir}/asciival
%{_bindir}/www_int
%{_bindir}/def
%{_bindir}/jg_*
%{_bindir}/ff_*
%{_bindir}/nc_*
%{_bindir}/usage-jg
%{_bindir}/chkform
%{_bindir}/newform
%{_bindir}/bufform
%{_bindir}/readfile
%{_bindir}/deflate
%{_bindir}/usage
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/jgofs_objects_readme
%{perl_vendorlib}/*.pm

%changelog
* Mon Aug  1 2005 <ed@eh3.com> 3.4.4-7
- try to fix x86_64 build

* Sun Jul 31 2005 Ed Hill <ed@eh3.com> 3.4.4-6
- bump version and try to build

* Tue Jul  5 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.4.4-4
- Remove broken client bits

* Tue Jul  5 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.4.4-3
- put headers in %{_includedir}/opendap
- make shared libraries
- fix opendap-config

* Sat Apr 23 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.4.4-2
- Use system packages instead of included older versions

* Fri Apr 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.4.4-1
- Initial package

